Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002882KdenliveBuild Systempublic2012-12-19 18:502013-01-28 19:51
ReporterDavePhillips 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform64-bitOSArch LinuxOS Version
Product VersionRecent git 
Target VersionFixed in Version0.9.4 
Summary0002882: frei0r build problem kills script
DescriptionRecent runs of the build script fail with the error copied in the Additional Information box below.

Additional InformationCompile frei0r-plugins 1.3.0 for x86_64-unknown-linux-gnu

    - INSTALL prefix: /home/dlphilp/kdenlive/20121219
    - CPU optimization: YES
    - opencv: YES
              data dir:
    - gavl: YES
    - cairo: YES

Now you can run make.


LOG: Done configuring frei0r
LOG: Number of steps completed : 24
LOG: Building frei0r - this could take some time
LOG: About to run command: make -j2
Making all in src
make[1]: Entering directory `/home/dlphilp/kdenlive/src/frei0r/src'
/bin/sh ../libtool --tag=CC --tag=disable-static --mode=compile gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../include -I../include -I../include -MT 3dflippo.lo -MD -MP -MF .deps/3dflippo.Tpo -c -o 3dflippo.lo `test -f 'filter/3dflippo/3dflippo.c' || echo './'`filter/3dflippo/3dflippo.c
/bin/sh ../libtool --tag=CXX --tag=disable-static --mode=compile g++ -DHAVE_CONFIG_H -I. -I../include -I../include -MT addition.lo -MD -MP -MF .deps/addition.Tpo -c -o addition.lo `test -f 'mixer2/addition/addition.cpp' || echo './'`mixer2/addition/addition.cpp
libtool: Version mismatch error. This is libtool 2.4.2, but the
libtool: definition of this LT_INIT comes from libtool 2.2.6b.
libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2
libtool: and run autoconf again.
make[1]: *** [3dflippo.lo] Error 63
make[1]: *** Waiting for unfinished jobs....
libtool: Version mismatch error. This is libtool 2.4.2, but the
libtool: definition of this LT_INIT comes from libtool 2.2.6b.
libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2
libtool: and run autoconf again.
make[1]: *** [addition.lo] Error 63
make[1]: Leaving directory `/home/dlphilp/kdenlive/src/frei0r/src'
make: *** [all-recursive] Error 1
ERROR: Unable to build frei0r
LOG: Process has finished. Reason: FAILURE Some kind of error occured: Unable to build frei0r
TagsNo tags attached.
Build/Install MethodBuild Script
Attached Files

- Relationships

-  Notes
(0008838)
j-b-m (administrator)
2012-12-19 22:25

> libtool: Version mismatch error. This is libtool 2.4.2, but the
> libtool: definition of this LT_INIT comes from libtool 2.2.6b.
> libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2

For me, it looks more like libtool was updated on your system and your previous build of frei0r is not compatible anymore with your current libraries. Try cleaning the frei0r source tree:

1 - go to $HOME/kdenlive/src/frei0r (that is the default location for the sources downloaded with build script.

2 - type: 'make distclean'

3 - run the script again

(0008841)
DavePhillips (reporter)
2012-12-20 02:14

Thanks for the tip, j-b-m. For the record, here's what worked for me:

cd ~/kdenlive/scr/frei0r
make distclean
./autogen.sh
./configure --prefix=/home/dlphilp/kdenlive/20121219 --libdir=/home/dlphilp/kdenlive/20121219/lib

Optionally:

make

Then I could run the build script to successful completion. I think we can mark this issue resolved. (?)

- Issue History
Date Modified Username Field Change
2012-12-19 18:50 DavePhillips New Issue
2012-12-19 22:25 j-b-m Note Added: 0008838
2012-12-19 22:25 j-b-m Assigned To => j-b-m
2012-12-19 22:25 j-b-m Status new => feedback
2012-12-20 02:14 DavePhillips Note Added: 0008841
2012-12-20 02:14 DavePhillips Status feedback => assigned
2012-12-21 01:28 j-b-m Status assigned => resolved
2012-12-21 01:28 j-b-m Resolution open => fixed
2013-01-28 19:49 j-b-m Fixed in Version => 0.9.4
2013-01-28 19:51 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker